Upload image
curl --request POST \
--url https://api.kameleoon.com/images/{siteId}/uploadImage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image-to-upload": "<string>",
"alt-text": "<string>",
"description": "<string>",
"name": "<string>",
"tags": "<string>"
}
'import requests
url = "https://api.kameleoon.com/images/{siteId}/uploadImage"
payload = {
"image-to-upload": "<string>",
"alt-text": "<string>",
"description": "<string>",
"name": "<string>",
"tags": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'image-to-upload': '<string>',
'alt-text': '<string>',
description: '<string>',
name: '<string>',
tags: '<string>'
})
};
fetch('https://api.kameleoon.com/images/{siteId}/uploadImage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"altText": "<string>",
"baseColor": 123,
"colorDepth": 123,
"createdById": 123,
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"fileName": "<string>",
"fileWeight": 123,
"height": 123,
"id": 123,
"keywords": [
"<string>"
],
"name": "<string>",
"path": "<string>",
"shared": true,
"siteId": 123,
"size": 123,
"source": "<string>",
"sourceUrl": "<string>",
"tags": [
"<string>"
],
"width": 123
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Image
Upload image
Id of the project site for which the image is being uploaded
POST
/
images
/
{siteId}
/
uploadImage
Upload image
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Image base color
Account Id of the image uploader
Date the image was uploaded
Image file name
Image file size in KB
Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)
Available options:
PNG, JPEG, GIF, SVG, MVG, WEB Image height in pixels
Unique Id of the image
Keyword(s) associated with the image
Image name
Image path
Indicates if the image has been shared
Unique Id of the site your project is associated with
Image size in bytes. Image file size should be maximum 5242880 bytes
Image source
URL or the image source
Image width in pixels
Was this page helpful?
⌘I